# Selection

MOLMOL uses the selection-action principle wherever possible. This means that the user first selects a set of items, and then executes the command(s) that performs the desired action on the selected items. The kinds of items that can be selected are:

- molecules
- residues
- atoms
- bonds
- angles
- distances
- primitives (annotations, ribbons, surfaces, etc.)

What kind of items need to be selected for a given command is often clear from the command name, e. g. the command `ColorAtom` operates on atoms, and therefore you need to select the desired atoms before executing the command. If you are uncertain about the required selection for a command, check the online help pages, the first sentence in the description normally tells you how the command operates on the selection.

Selected items do not look visually distinct in the graphical display. When you perform a selection operation, the status line will give you information about the items that were selected. You can also choose to only see the currently selected items by clicking the Show Sel. button on the right side of the main window. Use the Show All button to get back to displaying all visible items.

The following sections explain various aspects of how to make selections:

- Interactive Selection
- Using Expressions
- Values
- Properties
- Expression Syntax
- Advanced Topics

Last modified: Mon Jan 20 19:44:56 CST 2003